// GeoGet 2
// TomTom Itinerary
// Autor: Sobikovi
// Verze: 1.0.0 - erstv narozen
//
// Makro exportuje vechny kee v seznamu dle poadi v seznamu
// Pokud m ke definovan final souadnice, exportuj se final souadnice msto vchozch
// Final souadnice maj ped nzvem kee <F>
// Pokud m ke definovan parking waypoit, exportuje se jako prvn tak parking waypoint
// Parking souadnice maj ped nzvem kee <P>

function ExportExtension: string;
begin
  result := 'itn';
end;

function ExportDescription: string;
begin
  result := 'TomTom Itinerary';
end;

function ExportHeader: string;
begin
end;

function ExportFooter: string;
begin
end;

function ExportPoint: string;
var
 Text: string;
 m: integer;

begin
  If GC.Waypoints.Count > 0 then  // ke m njak waypointy
	Begin
		m := 0;
		for m := 0 to GC.Waypoints.Count - 1 do
			// if GC.Waypoints[m].IsListed then
			if GC.Waypoints[m].WptType = 'Parking Area' then
			Begin
				Text := GC.Waypoints[m].Lon;
				Text := ReplaceString(Text, '.',''); 
				// zkrcen na 7 znak
				if Length (Text) > 7 then Text := Copy (Text, 1, 7); 
				// prodlouen na 7 znak - pid na konec 0
				if Length (Text) < 7 then repeat Text := Text + '0'; until Length (Text) = 7;
				Result := Text + '|';
				Text := GC.Waypoints[m].Lat;
				Text := ReplaceString(Text, '.','');  
				// zkrcen na 7 znak
				if Length (Text) > 7 then Text := Copy (Text, 1, 7); 
				// prodlouen na 7 znak - pid na konec 0
				if Length (Text) < 7 then repeat Text := Text + '0'; until Length (Text) = 7; 
				Result := Result + Text + '|<P> ';
				Result := Result + UtfToAscii(GC.Waypoints[m].ParentName) + ' ' + GC.ID + '|2|'+ CRLF;	
			end // parking
    end; // if	

  if GC.HaveFinal then  // mme final, exportujeme final
    begin
		Text := GC.CorrectedLon;
		Text := ReplaceString(Text, '.',''); 
		// zkrcen na 7 znak
		if Length (Text) > 7 then Text := Copy (Text, 1, 7); 
		// prodlouen na 7 znak - pid na konec 0
		if Length (Text) < 7 then repeat Text := Text + '0'; until Length (Text) = 7;
		Result := Result + Text + '|';
		Text := GC.CorrectedLat;
		Text := ReplaceString(Text, '.','');  
		// zkrcen na 7 znak
		if Length (Text) > 7 then Text := Copy (Text, 1, 7); 
		// prodlouen na 7 znak - pid na konec 0
		if Length (Text) < 7 then repeat Text := Text + '0'; until Length (Text) = 7; 
		Result := Result + Text + '|<F> ';
    end else     // nemme final, exportujeme original
    begin
		Text := GC.Lon;
		Text := ReplaceString(Text, '.',''); 
		// zkrcen na 7 znak
		if Length (Text) > 7 then Text := Copy (Text, 1, 7); 
		// prodlouen na 7 znak - pid na konec 0
		if Length (Text) < 7 then repeat Text := Text + '0'; until Length (Text) = 7;
		Result := Result + Text + '|';
		Text := GC.Lat;
		Text := ReplaceString(Text, '.','');  
		// zkrcen na 7 znak
		if Length (Text) > 7 then Text := Copy (Text, 1, 7); 
		// prodlouen na 7 znak - pid na konec 0
		if Length (Text) < 7 then repeat Text := Text + '0'; until Length (Text) = 7; 
		Result := Result + Text + '|';
    end;
  	Result := Result + UtfToAscii(GC.name) + ' ' + GC.ID + '|2|'+ CRLF;	

end;

